PWMROUND(1)

NAME
pwmround - Adapt a waveform to a PWM's actual capabilities

SYNOPSIS

pwmround [-c chipno] [-p pwmno] [-P periodlength] [-D dutylength] [-O dutyoffset] [-v]

Description
Typically a PWM cannot implement each and every waveform. pwmround queries the PWM output specified by chipno and pwmno what the waveform will be actually implemented for a given request.

The waveform to be adapted is described by periodlength, dutylength and dutyoffset.

Options

-c chipno
    Each PWM chip has an identifying chip number. pwmset configures a PWM line provided by chip number chipno. chipno defaults to 0.

-p pwmno
    Each PWM chip provides a number of PWM outputs. pwmset configures the pwmnoth PWM output of the selected chip. pwmno defaults to 0.

-P periodlength
    periodlength in nanoseconds defines the length of the period of the waveform to be adapted to the PWM's capabilities.

-D dutylength
    in nanoseconds defines the length of the active part of the waveform to be adapted to the PWM's capabilities.

-O dutyoffset
    in nanoseconds defines the offset between the start of a period and the start of the period's active part.

-v  Emit some information during runtime.

SEE ALSO
pwmset(1), pwmtestperf(1)